Pular para o conteúdo

/api/v1/chat-message-follow-ups (POST)

POST
/api/v1/chat-message-follow-ups
curl --request POST \
--url https://api.endless.zaia.app/api/v1/chat-message-follow-ups \
--header 'Content-Type: application/json' \
--data '{ "chatId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "dueDate": "2026-04-15T12:00:00Z", "message": "example" }'

Creates a chat message follow-up.

Media typeapplication/json
object
chatId
required

The id of the chat this follow-up belongs to.

string format: uuid
dueDate
required

The date and time when the follow-up message should be sent.

string format: date-time
message
required

The follow-up message content.

string
>= 1 characters
Examplegenerated
{
"chatId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"dueDate": "2026-04-15T12:00:00Z",
"message": "example"
}

The chat message follow-up was created.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
chatId
required

The id of the chat this follow-up belongs to.

string format: uuid
chatMessageId
required

The id of the chat message this follow-up belongs to.

string format: uuid
nullable
dueDate
required

The date and time when the follow-up message should be sent.

string format: date-time
finishedAt
required

The date and time when the follow-up went from pending to any other status.

string format: date-time
nullable
message
required

The follow-up message content.

string
>= 1 characters
reason
required

The reason why the follow-up failed.

string
nullable
status
required

The current status of the follow-up.

string
Allowed values: pending sent failed cancelled
triggerChatMessageId
required

The id of the chat message that triggered the follow-up.

string format: uuid
Example
{
"status": "pending"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The chat was not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The chat has no messages or the last message is from the user.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}